class MediaItem {
  final int id;
  final String mime;
  final int tagid;

  MediaItem({required this.id, required this.mime, required this.tagid});

  factory MediaItem.fromJson(Map<String, dynamic> json) {
    return MediaItem(
      id: json['id'],
      mime: json['mime'],
      tagid: json['tag_id'],
    );
  }

  String get thumbnailUrl => 'https://f0ck.me/t/$id.webp';
}
