import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

import 'package:f0ckapp/mediagrid.dart';
//import 'package:media_kit/media_kit.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();
  //MediaKit.ensureInitialized();
  
  SystemChrome.setPreferredOrientations([
    DeviceOrientation.portraitUp
  ]).then((_) {
    runApp(const F0ckApp());
  });
}

class F0ckApp extends StatelessWidget {
  const F0ckApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      theme: ThemeData(
        scaffoldBackgroundColor: const Color.fromARGB(255, 23, 23, 23),
      ),
      home: Scaffold(
        appBar: AppBar(
          automaticallyImplyLeading: false,
          backgroundColor: const Color.fromARGB(255, 43, 43, 43),
          foregroundColor: const Color.fromARGB(255, 255, 255, 255),
          title: const Text('f0cks'),
          centerTitle: true,
        ),
        body: MediaGrid(),
      ),
    );
  }
}
